how to assign global rights?

2010-10-22 22:14 - Albert Rosenfield

Status: Closed Start date: 2010-10-22

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I think you need to add a root project, visible only in the administration part of the UI, to the top of the project tree in Redmine.  Or

any similar solution.

Otherwise there is no place to assign privileges (using roles) to new users, because new users are not yet part of any project.

Case in question: adding a bunch of users and give them the privilege to create projects (:add_project).

Doesn't work right now, a workaround is to give all users admin rights until they have created their first project, which is not so nice..

Related issues:

Related to Redmine - Feature #4427: Create a new type of role for not project... New 2009-12-16

History

#1 - 2010-10-22 22:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You can give the add project permission to the non member role.

#2 - 2010-10-22 22:37 - Albert Rosenfield

- Status changed from Closed to Reopened

That would allow EVERYONE to create projects, including all the users that have no place doing so, right?

(Also, mentioned "root" because privileges usually flow downwards when used in a tree of storage locations..)

#3 - 2010-10-22 22:49 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Yes. Feel free to create a detailed feature request if needed.

#4 - 2010-10-22 22:59 - Albert Rosenfield

How is this one not detailed enough?

#5 - 2010-10-25 16:17 - Albert Rosenfield

- Status changed from Closed to Reopened

(status: waiting for feedback)

#6 - 2010-11-02 17:47 - Albert Rosenfield

Status changed to Closed

Oh well, I'll just give it my best shot then..

Response to note #3 is in issue #6800 and #6801.
https://www.redmine.org/issues/3
https://www.redmine.org/issues/6800
https://www.redmine.org/issues/6801


#7 - 2010-11-02 20:54 - Holger Just

- Status changed from Reopened to Closed
